Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153232 - download hangs, also IndexError: list index out of range
Summary: download hangs, also IndexError: list index out of range
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-03 19:08 UTC by james
Modified: 2014-01-21 22:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-21 19:25:57 UTC


Attachments (Terms of Use)

Description james 2005-04-03 19:08:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686) Opera 7.54  [en]

Description of problem:
Sometimes a file download will stop - the server seems to be gone, but yum never 
times-out.  C-c will restart the file download, but from the beginning, not from the 
current file position.  Does yum need a time-out timer?  And some smarts to continue a 
download from the current file position?

Later, after a couple of mirror 404 errors, yum dies with this error message:

Trying other mirror.
http://sunsite.mff.cuni.cz/pub/fedora/development/i386/Fedora/RPMS/openoffice.org-
writer-1.9.88-5.i386.rpm: [Errno 4] IOError: HTTP Error 404: Date: Sun, 03 Apr 2005 
18:54:22 GMT
Server: Apache/2.0.52 (Fedora)
Content-Length: 362
Connection: close
Content-Type: text/html; charset=iso-8859-1
Trying other mirror.
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386/Fedora/RPMS/
openoffice.org-writer-1.9.88-5.i386.rpm: [Errno 4] IOError: HTTP Error 404: Date: Sun, 
03 Apr 2005 18:54:27 GMT
Server: Apache/2.0.51 (Fedora)
Vary: accept-language,accept-charset
Accept-Ranges: bytes
Transfer-Encoding: chunked
Content-Type: text/html; charset=iso-8859-1
Content-Language: en
Trying other mirror.
Traceback (most recent call last):
  File "/usr/bin/yum", line 15, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 150, in main
    base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 665, in doTransaction
    problems = self.downloadPkgs(downloadpkgs)
  File "__init__.py", line 498, in downloadPkgs
  File "repos.py", line 555, in get
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 414, in urlgrab
    return self._mirror_try(func, url, kw)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 392, in 
_mirror_try
    mirrorchoice = self._get_mirror(gr)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 290, in 
_get_mirror
    return gr.mirrors[gr._next]
IndexError: list index out of range


Version-Release number of selected component (if applicable):
yum-2.3.1-3

How reproducible:
Sometimes

Steps to Reproduce:
1.sudo yum -y update
2.
3.
  

Additional info:

Comment 1 Kyle R Maxwell 2005-07-11 14:00:23 UTC
I continue to have this problem as well (does it have to do with all these
mirrors returning 404s?).

Comment 2 Seth Vidal 2005-07-29 18:52:04 UTC
what version of yum are you using now?


Comment 3 Jeremy Katz 2005-09-21 19:25:57 UTC
This should be fixed with current versions I believe


Note You need to log in before you can comment on or make changes to this bug.